#pragma once
#include <QCoreApplication>
#include <QDialog>
#include "TaskOrder.h"
#include <QNetworkAccessManager>


namespace Ui {
	class DialogSubmitTaskResultClass;
}


namespace WBFZTASK {
	class DialogSubmitTaskResult : public QDialog
	{
		Q_OBJECT

	public:
		DialogSubmitTaskResult(QWidget* parent = nullptr);
		~DialogSubmitTaskResult();
		void SetTaskOrder(WBFZTASK::TaskOrder* task);
	public slots:
		void on_clicked_pushButton_Select();
		void accept();
		void handleResponse(QNetworkReply* reply);
	private:
		Ui::DialogSubmitTaskResultClass* ui;
		WBFZTASK::TaskOrder* task;
		QNetworkAccessManager* networkManager;
	};
}